为什么我装完ubuntu,试着装10个软件,10个软件都有10层dependency没解决?

为当前最终发行版之前的所有版本提供支持
回复
woqpalsk
帖子: 9
注册时间: 2006-10-17 16:26
送出感谢: 0
接收感谢: 0

为什么我装完ubuntu,试着装10个软件,10个软件都有10层dependency没解决?

#1

帖子 woqpalsk » 2006-10-18 20:51

从开始的gcc,cc到后来什么glib,libc一样都没有,说实话,对初学者太不友好,编译10个软件没一个成功的,不是缺腿就是少脚,用deb安装器安装呢,次次都说有dependency没解决,没法安装,也不给一个解决办法,无奈啊


也不缺那点硬盘空间,有没有什么简单的方法把所有东西装齐??
头像
goldfox_79
帖子: 1937
注册时间: 2005-10-16 8:26
来自: 地球
送出感谢: 0
接收感谢: 1 次
联系:

Re: 为什么我装完ubuntu,试着装10个软件,10个软件都有10层dependency没解决?

#2

帖子 goldfox_79 » 2006-10-18 21:22

woqpalsk 写了:从开始的gcc,cc到后来什么glib,libc一样都没有,说实话,对初学者太不友好,编译10个软件没一个成功的,不是缺腿就是少脚,用deb安装器安装呢,次次都说有dependency没解决,没法安装,也不给一个解决办法,无奈啊

也不缺那点硬盘空间,有没有什么简单的方法把所有东西装齐??
怕是你安装方法不对,lin跟win的使用方法差别还是很大的,慢慢学帅哥。

先说一个你安装失败的软件包名称,说你是怎么装的,安装失败提示消息是什么?一步步帮你安装一个再说。
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 BigSnake.NET » 2006-10-18 21:34

首先按照wiki設置好快的源(推薦cn99)

方法一
1.關閉所有軟件包管理器,打開應用程序->系統->終端
2.輸入以下命令

sudo apt-get update
輸入密碼,回車確認..

3.再次
sudo apt-get install <你要安的軟件包名>


方法二

運行新立得軟件包管理器,按左上角"刷新" 等待.............然後就可以在你想要的軟件上打鈎了..


比Windows方便得多..
上次由 BigSnake.NET 在 2006-10-18 22:05,总共编辑 1 次。
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-10-18 22:03

sudo apt-get install build-essential 就可以安装必要的编译环境。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

Re: 为什么我装完ubuntu,试着装10个软件,10个软件都有10层dependency没解决?

#5

帖子 dbzhang800 » 2006-10-18 22:15

woqpalsk 写了:从开始的gcc,cc到后来什么glib,libc一样都没有,说实话,对初学者太不友好,编译10个软件没一个成功的,不是缺腿就是少脚,用deb安装器安装呢,次次都说有dependency没解决,没法安装,也不给一个解决办法,无奈啊


也不缺那点硬盘空间,有没有什么简单的方法把所有东西装齐??
感觉你还没入门

设置好源,apt-get 安装软件应该是很快的

先找找自己的原因再来抱怨
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#6

帖子 stlxv » 2006-10-19 0:25

用新立得装软件会自动帮你解决依赖关系

代码: 全选

sudo synaptic &
PHP是最好的语言!不服来战!
回复

回到 “老旧版本支持”